EDIT - bug #10135

Created_by and when is missing for User and Group
09/02/2022 10:52 AM - Andreas Mdller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 90%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.33

Severity: normal Found in Version:

Description
Associated revisions

Revision 9677385 - 09/29/2022 01:44 PM - Katja Luther

fix #10135: add created and createdby to supplemental data of cdmBase

Revision 5d5d125e - 09/29/2022 01:59 PM - Katja Luther

ref #10135: add created and createdby to an extra section to keep it at the same place

Revision a3db6d8c - 09/30/2022 11:49 AM - Katja Luther

ref #10135: remove createSection again and implement it in versionable and cdmBase element

Revision 84cfbeed - 09/30/2022 11:57 AM - Katja Luther

ref #10135: remove createSection again and implement it in versionable and cdmBase element -continue

History

#1 - 09/02/2022 10:53 AM - Andreas Miiller

If this is not (very) fast to implement please remove tag and move to other milestone. It is not a critical issue.

#2 - 09/08/2022 12:13 PM - Andreas Miiller
- Priority changed from New to Priority14

#3 - 09/29/2022 01:59 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 70

Applied in changeset taxeditor|967f73857a25e5d92aae0450eb1363575cf26bec.

The implementation added a new section "createSection" which contains the created information. This results in a gap between created and updated
section. If this is ok | would keep it like it is otherwise we need to implement it a little bit more complicated with a check in the different sections

whether the created string is already available (for versionable entities) or not (for cdmBase entities).

#4 - 09/29/2022 02:06 PM - Katja Luther
- Status changed from Resolved to Feedback

- Assignee changed from Katja Luther to Andreas Mdiller
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/967f73857a25e5d92aae0450eb1363575cf26bec

#5 - 09/29/2022 02:35 PM - Andreas Miiller

- Status changed from Feedback to Resolved

#6 - 09/30/2022 11:05 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Actually the gap does not look nice and more important it requires more scrolling when trying to read the ID and UUID information (which | use often).
So | think we should try to implement it without gab. From my understanding we only need a case distinction which fills "updated" with an empty string
or with "not updatable" or something. Isn't this simply 3 lines of code? Or is there something more one has to remind?

#7 - 09/30/2022 11:50 AM - Katja Luther

Andreas Muller wrote in #note-6:

Actually the gap does not look nice and more important it requires more scrolling when trying to read the ID and UUID information (which | use
often). So | think we should try to implement it without gab. From my understanding we only need a case distinction which fills "updated” with an
empty string or with "not updatable" or something. Isn't this simply 3 lines of code? Or is there something more one has to remind?

It is not much code but needed implementation in two classes. Implemented it this way now.

#8 - 09/30/2022 11:50 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

#9 - 09/30/2022 05:12 PM - Andreas Miiller
- File clipboard-202209301711-qqo4w.png added

Final issue: there is still a relatively large gap before UUID for VersionableEntities:
uip

Can this be reduced same as for CdmBase?

Once this is done we can close the ticket.

#10 - 09/30/2022 05:13 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Mtiller to Katja Luther

#11 - 10/04/2022 10:24 AM - Katja Luther

Andreas Muller wrote in #note-9:

Final issue: there is still a relatively large gap before UUID for VersionableEntities:
Can this be reduced same as for CdmBase?
Once this is done we can close the ticket.

But this is the same as before. Then we have to move all elements in one section.

#12 - 10/04/2022 10:59 AM - Andreas Miiller
- % Done changed from 70 to 90

Katja Luther wrote in #note-11:

Andreas Muller wrote in #note-9:

But this is the same as before. Then we have to move all elements in one section.

OK, | checked against production and it is true that there is the same gap.

So if this is really not a non-brainder to fix then we can leave it as it is. It is not really important and there are more important issues to work on.
In this case feel free to close the ticket as it is.

Only if there is a really simple/non-time consuming solution to remove the gap we should try to do it

#13 - 10/07/2022 03:25 PM - Katja Luther
- Status changed from Feedback to Closed
